Skip to navigation

Retrieve a credit memo item

View as Markdown
Retrieve the details of a specific Credit Memo Item object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the credit memo item.
createdByIdstringOptional
The unique identifier of the user who created the credit memo item.
createdDatedatetimeOptional
The date and time when the credit memo item was created.
updatedByIdstringOptional
The unique identifier of the user who last updated the credit memo item.
updatedDatedatetimeOptional
The date and time when the credit memo item was last updated.
amountdoubleOptional

The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax.

amountWithoutTaxdoubleOptional
The credit memo item amount excluding tax.
appliedToItemIdstringOptional
The unique ID of the credit memo item that the discount charge is applied to.
appliedToOthersAmountdoubleOptional
The amount of the credit memo that is applied to other credit memo items.
beAppliedByOthersAmountdoubleOptional
chargeDatedatetimeOptional

The date when the credit memo item is charged, in yyyy-mm-dd hh:mm:ss format.

descriptionstringOptional

The description of the credit memo item.

Note: This field is only available if you set the Zuora-Version request header to 257.0 or later available versions.

excludeItemBillingFromRevenueAccountingbooleanOptional

The flag to exclude the credit memo item from revenue accounting.

Note: This field is only available if you have the Billing - Revenue Integration feature enabled.

fulfillmentIdstringOptional
The reference ID of the fulfillment associated with the credit memo item.
invoiceScheduleIdstringOptional

The ID of the invoice schedule associated with the credit memo item.

Note: This field is available only if you have the Billing Schedule feature enabled.

invoiceScheduleItemIdstringOptional

The ID of the invoice schedule item associated with the credit memo item. The credit memo item is generated during the processing of the invoice schedule item.

Note: This field is available only if you have the Billing Schedule feature enabled.

itemShipToContactIdstringOptional

The ID of the ship-to contact associated with the credit memo item.

Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.

itemSoldToContactIdstringOptional

The ID of the sold-to contact associated with the credit memo item.

Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.

itemSoldToContactSnapshotIdstringOptional

The ID of the sold-to contact snapshot associated with the credit memo item.

Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.

itemTypestringOptional
The type of the credit memo item.
orderLineItemIdstringOptional
The ID of the order line item associated with the credit memo item, if applicable.
processingTypeenumOptional

The type of the charge for the credit memo item.

  • 0: Charge - 1: Discount
Allowed values:
revenueImpactingenumOptionalDefaults to Yes

Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice.

If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation.

Allowed values:
quantitydoubleOptional
The number of units for the credit memo item.
purchaseOrderNumberstringOptional
The purchase order number associated the credit memo item.
creditFromItemSourceenumOptional
The type of the credit from item.
Allowed values:
creditFromItemIdstringOptional
The ID of the credit from item.
reflectDiscountInNetAmountbooleanOptionalDefaults to false

When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue.

  • delivery pricing charge
  • prepayment charge
  • drawdown charge

Note the following:

  • If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true.
  • If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges.
  • If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true.
serviceEndDatedateOptional
The service end date of the credit memo item.
serviceStartDatedateOptional
The service start date of the credit memo item.
skustringOptional
The SKU for the product associated with the credit memo item.
sourceItemTypeenumOptional

The type of the source item.

  • If a credit memo is not created from an invoice or a product rate plan charge or a return order line item, the value of this field is SubscriptionComponent.
  • If a credit memo is created from an invoice, the value of this field is InvoiceDetail.
  • If a credit memo is created from a product rate plan charge, the value of this field is ProductRatePlanCharge.
  • If a credit memo is created from a return order line item, the value of this field is OrderLineItem.
Allowed values:
subscriptionIdstringOptional
The ID of the subscription associated with the credit memo item.
taxModeenumOptional
The tax mode of the credit memo item, indicating whether the amount of the credit memo item includes tax.
Allowed values:
chargeNamestringOptional
The name of the charge associated with the credit memo item.
chargeNumberstringOptional
The number of the product rate plan charge that the credit memo is created from.
commitmentChargeSegmentNumberstringOptional
commitmentChargeNumberstringOptional
taxAmountdoubleOptional
The amount of the tax applied to the credit memo item.
taxCodeNamestringOptional
The tax code identifies which tax rules and tax rates to apply to a specific credit memo item.
taxExemptAmountdoubleOptional
The calculated tax amount excluded due to the exemption.
unappliedAmountdoubleOptional
The unapplied amount of the credit memo item.
unitOfMeasurestringOptional
The units to measure usage.
unitPricedoubleOptional

The per-unit price of the credit memo item.

subscriptionNumberstringOptional
The number of the subscription associated with the credit memo item.
invoiceItemIdstringOptional
The ID of the invoice item associated with the credit memo item.
productRatePlanChargeIdstringOptional
The ID of the product rate plan charge that the credit memo is created from.
ratePlanChargeIdstringOptional
The ID of the rate plan charge associated with the credit memo item.
revenueRecognitionRuleNamestringOptional
The name of the revenue recognition rule governing the revenue schedule.
creditMemoIdstringOptional
The ID of the credit memo to which this credit memo item belongs.
numberOfDeliveriesdoubleOptional

The number of deliveries dedicated to the Delivery Pricing charges. The value might be different, as follows:

  • For the credit memo generated by a bill run, this field has a value.
  • For the credit memo generated from an invoice, this field is blank. Note: This field is available only if you have the Delivery Pricing feature enabled.
recognizedRevenueAccountingCodeIdstringOptional
The Recognized Revenue accounting code for the credit memo item.
accountReceivableAccountingCodeIdstringOptional
The Account Receivable accounting code for the credit memo item.
onAccountAccountingCodeIdstringOptional
The On Account accounting code for the credit memo item.
deferredRevenueAccountingCodeIdstringOptional
The Deferred Revenue accounting code for the credit memo item.
journalEntryIdstringOptional
The ID of the journal entry that corresponds to this credit memo item.
shipToContactSnapshotIdstringOptional

The ID of the ship-to contact snapshot associated with the credit memo.

soldToContactSnapshotIdstringOptional

The ID of the sold-to contact snapshot associated with the credit memo.

billToContactSnapshotIdstringOptional

The ID of the bill-to contact snapshot associated with the credit memo.

subscriptionobjectOptional
ratePlanChargeobjectOptional
subscriptionOwnerobjectOptional
creditTaxationItemsobjectOptional

Errors

4XX
Client Request Error
500
Internal Server Error